Version supported and unsupported - GTI & Bitbucket

Hi People,

I'm in the process of installing Bitbucket 5.0 on a Windows 2008 R2 server.

I have GIT 2.12.2 installed, but when i try to install Bitbucket on the server, i keep getting the message that the GIT version is unsupportet.

I know i can look trough this page to see which versions that are supported and not, but i just find it more confusing than helpful:

https://confluence.atlassian.com/bitbucketserver/supported-platforms-776640981.html

1 answer

1 accepted

0 votes
Accepted answer

If you look closely, you will see a note to Git version 2.12.2 on Windows on that page.

"Git for Windows 2.12.2 has a regression in git status which causes editing files to fail The regression has been fixed, and the fix will be included in Git for Windows 2.12.3, when that is released."

 

So you need to wait for the Git update or downgrade to an older Git version.

Thanks for you answer pal,

Do you by any chance have a link to a older version? :)

 

 

Here you can find other builds of Git for windows:

https://github.com/git-for-windows/git/releases/

Thanks alot, i found a older version which made it work together!

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Nov 06, 2018 in Bitbucket

Upgrade Best Practices

Hello! My name is Mark Askew and I am a Premier Support Engineer for products Bitbucket Server/Data Center, Fisheye & Crucible. Today, I want to bring the discussion that Jennifer, Matt, and ...

689 views 5 9
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you